LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSpreadsheetDocument Interface Referencepublished

provides access to a collection of spreadsheets. More...

`import"XSpreadsheetDocument.idl";`

Inheritance diagram for XSpreadsheetDocument:

## Public Member Functions
com::sun::star::sheet::XSpreadsheets | getSheets ()
| returns the collection of sheets in the document. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a collection of spreadsheets.

See also
  com::sun::star::sheet::SpreadsheetDocument

## Member Function Documentation

## ◆ getSheets()

com::sun::star::sheet::XSpreadsheets getSheets | ( |  | ) |

returns the collection of sheets in the document.

See also
  com::sun::star::sheet::Spreadsheets

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSpreadsheetDocument.idl